<?php

// サイドバー
if ( function_exists('register_sidebars') ) {
  register_sidebars(1,array(
    'name' => __( 'ウィジェット1' ),
    'id' => 'side-widget',
    'before_widget' => '<li class="widget-container">',
    'after_widget' => '</li>',
    'before_title' => '<h3>',
    'after_title' => '</h3>',
  ));
}

// ～分前に投稿されました
function time_ago( $type = 'post' ) {
  $d = 'comment' == $type ? 'get_post_time' : 'get_comment_time';
  return human_time_diff($d('U'), current_time('timestamp')) . "" . __('前');
}

// ページナビ　半角・改行を削除
function remove_tab_and_breaks( $page_navi ) { 
    $page_navi = str_replace( array( "\t", "\n" ), '', $page_navi ); 
    return $page_navi . "\n"; 
} 
add_filter( 'page_navi', 'remove_tab_and_breaks' );

// カスタムメニュー
register_nav_menus(array(
    'globalNavi' => 'グローバルナビゲーション',
    'localNavi' => 'ローカルナビゲーション',
    'footerNavi' => 'フッターナビゲーション')
);

// コメント編集ボタンの追加
function spam_delete_comment_link($id) {
     global $comment, $post;
     if ( $post->post_type == 'page' ) {
          if ( !current_user_can( 'edit_page', $post->ID ) )
               return;
     } else {
          if ( !current_user_can( 'edit_post', $post->ID ) )
               return;
     }
     $id = $comment->comment_ID;
     if ( null === $link )
          $link = __('Edit');
     $link = '<a class="comment-edit-link" href="' . get_edit_comment_link( $comment->comment_ID ) . '" title="' . __( 'Edit comment' ) . '">' . $link . '</a>';
     $link = $link . ' | <a href="'.admin_url("comment.php?action=cdc&c=$id").'">削除</a> ';
     $link = $before . $link . $after;
     return $link;
}
add_filter('edit_comment_link', 'spam_delete_comment_link');

?>
